## NAME

db.out.ogr - Exports attribute tables into various formats.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.out.ogr
db.out.ogr help
db.out.ogr input=name dsn=name format=string [db_table=name] [--verbose] [--quiet]

### Parameters:

input=name
  GRASS table name
dsn=name
  Table file to be exported or DB connection string
format=string
  Table format
  Options: CSV,DBF,GML,MySQL,PostgreSQL,SQLite
  Default: DBF
db_table=name
  Name for output table

## DESCRIPTION

db.out.ogr exports GRASS attribute tables into various formats as supported by the OGR driver on the local system (CSV, DBF, PostgreSQL, SQLite, MySQL, ODBC, etc.).

## EXAMPLES

Export of GRASS table to a DBF table (default format):

    db.out.ogr precip_30ynormals dsn=/tmp/precip_30ynormals.dbf

Export of GRASS table to a CSV table file:

    db.out.ogr precip_30ynormals dsn=precip_30ynormals.csv format=CSV

Export of GRASS table into a PostgreSQL table:

    db.out.ogr precip_30ynormals dsn="PG:host=localhost dbname=meteo user=neteler" \
               format=PostgreSQL
    echo "SELECT * FROM precip_30ynormals" | psql meteo

## SEE ALSO

GRASS SQL interface

## AUTHOR

Markus Neteler

Last changed: $Date: 2011-09-04 15:23:30 +0200 (ne, 04 IX 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team